> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Publish or Overwrite Page Content

POST https://api.bigcommerce.com/stores/{store_hash}/v3/content/page-widgets
Content-Type: application/json

Publish or overwrite the content of a page that uses page widgets.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/content/page-widgets/create-page-widgets

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Add scopes ++++ | modify | `...` | | Add | read-only | `store_v2_marketing_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate access tokens, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.
- `X-Correlation-Id` (string, optional) — An identifier unique to a set of related requests. For use on headless storefronts, excluding BigCommerce for WordPress. For more information, see [Best Practices](/developer/docs/storefront/headless#correlating-requests) or the [Headless Guide](/developer/docs/storefront/headless#correlating-requests).

### Body (application/json)

This endpoint expects a publish.

- `regions` (list of region, required)
- `template_file` (string, optional) — The template file that you would like to target. Leave it empty if the request is for Global regions.
- `entity_id` (string, optional) — The identifier of a page you would like to target. For product pages, choose product ID. For category pages, choose category ID. Home page does not support `entity_id`. Leave it empty if the request is for Global regions.
- `channel_id` (integer, optional) — The id of the channel on which to create this placement. Defaults to the first channel created on the store.

## Response

### 204

The request was successful. No response body is returned.

## Errors

### 422 Unprocessable Entity Error

The request payload was invalid.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `instance` (string, optional)
- `errors` (DetailedErrors, optional)

## Types

### region

- `name` (string, optional) — Matches the name specified as `{{{region_name="..."}}}` in a theme template file.
- `children` (list of RegionChildrenItems, optional) — Consists of layout and widget objects.

### DetailedErrors

### RegionChildrenItems

### layout

- `layout_template_uuid` (string, optional) — Set by BigCommerce. Read-only.
- `configuration` (LayoutConfiguration, optional) — JSON object of necessary configuration to construct a layout.
- `name` (string, optional) — A human-readable label for the layout; displays in Page Builder.
- `dropzones` (list of dropzone, optional) — Consists of dropzone objects.
- `type` (enum, optional)
  - Allowed values: `layout`

### widget

- `widget_template_uuid` (string, optional) — The unique identifier of the parent widget template; set by the store or channel where the widget template originated.
- `configuration` (WidgetConfiguration, optional) — JSON object of necessary configuration to construct a widget.
- `storefront_api_query_params` (WidgetStorefrontApiQueryParams, optional) — A set of parameters used to query the GraphQL Storefront API. Used when the parent widget template is configured to request data directly from the GraphQL Storefront API; in this case, the parent widget template has the `storefront_api_query` property.
- `name` (string, optional) — A human-readable label for the widget. Retrievable using either the [Get a widget](/developer/api-reference/rest/admin/content/widgets/widget/get-widget) or the [Get all widgets](/developer/api-reference/rest/admin/content/widgets/widget/get-widgets) endpoint.
- `description` (string, optional) — A description of the widget. Retrievable using either the [Get a widget](/developer/api-reference/rest/admin/content/widgets/widget/get-widget) or the [Get all widgets](/developer/api-reference/rest/admin/content/widgets/widget/get-widgets) endpoint.
- `type` (enum, optional)
  - Allowed values: `widget`

### LayoutConfiguration

JSON object of necessary configuration to construct a layout.

### dropzone

- `configuration` (DropzoneConfiguration, optional) — JSON object of necessary configuration to construct a dropzone.
- `widgets` (list of widget, optional) — Consists of [widget](#widgets) objects.

### WidgetConfiguration

JSON object of necessary configuration to construct a widget.

### WidgetStorefrontApiQueryParams

A set of parameters used to query the GraphQL Storefront API. Used when the parent widget template is configured to request data directly from the GraphQL Storefront API; in this case, the parent widget template has the `storefront_api_query` property.

### DropzoneConfiguration

JSON object of necessary configuration to construct a dropzone.

## Examples

**Request**

```json
{
  "regions": [
    {
      "name": "home_below_menu",
      "children": [
        {
          "configuration": {
            "backgroundColor": "#444444",
            "backgroundType": "image",
            "buttonColor": "#444444",
            "buttonFont": "default",
            "buttonFontFamily": "inherit",
            "buttonStyle": "round",
            "buttonText": "Shop now",
            "buttonTextColor": "rgba(255,255,255,1)",
            "buttonVisible": "show",
            "containerHeight": "small",
            "contentAlignment": {
              "horizontal": "left"
            },
            "descriptionFontFamily": "inherit",
            "descriptionFontSize": {
              "type": "px",
              "value": 21
            },
            "descriptionFontWeight": "400",
            "descriptionStyle": "default",
            "descriptionVisible": "show",
            "imageAlignment": {
              "horizontal": "center",
              "vertical": "middle"
            },
            "imageFit": "fill",
            "imageOpacity": 100,
            "imageParallax": "off",
            "imageUrl": {
              "src": "https://images.unsplash.com/photo-1533038590840-1cde6e668a91?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=2000&q=100",
              "type": "IMAGE_MANAGER"
            },
            "mobileButtonColor": "#444444",
            "mobileButtonTextColor": "rgba(255,255,255,1)",
            "mobileTextColor": "#444444",
            "subtitle": "Add a description for this hero banner. This is a great place to highlight a promotion.",
            "textColor": "#444444",
            "title": "Hero Banner Title",
            "titleFontFamily": "inherit",
            "titleFontSize": {
              "type": "px",
              "value": 36
            },
            "titleFontWeight": "400",
            "titleStyle": "default",
            "titleVisible": "show"
          },
          "description": "",
          "name": "Hero Banner",
          "storefront_api_query_params": {},
          "type": "widget"
        }
      ]
    },
    {
      "name": "header_bottom",
      "children": [
        {
          "configuration": {
            "columnWeights": [
              "33.333333%",
              "33.333333%",
              "33.333333%"
            ],
            "layoutBackgroundColor": "rgba(0,0,0,0)",
            "layoutBackgroundImageAlignment": {
              "horizontal": "center",
              "vertical": "middle"
            },
            "layoutBackgroundImageFit": "fill",
            "layoutBackgroundImageOpacity": 100,
            "layoutBackgroundImageUrl": "",
            "layoutBackgroundType": "",
            "layoutBorderColor": "#333333",
            "layoutBorderStyle": "solid",
            "layoutBorderThickness": 0,
            "layoutHeight": "",
            "layoutMargin": {
              "bottom": {
                "type": "px",
                "value": "0"
              },
              "left": {
                "type": "px",
                "value": "0"
              },
              "right": {
                "type": "px",
                "value": "0"
              },
              "top": {
                "type": "px",
                "value": "0"
              }
            },
            "layoutPadding": {
              "bottom": {
                "type": "px",
                "value": "0"
              },
              "left": {
                "type": "px",
                "value": "0"
              },
              "right": {
                "type": "px",
                "value": "0"
              },
              "top": {
                "type": "px",
                "value": "0"
              }
            },
            "layoutZIndex": "auto",
            "name": "Layout",
            "numberOfDropzones": 3
          },
          "dropzones": [
            {
              "configuration": {
                "dropzoneBackgroundColor": "rgba(0,0,0,0)",
                "dropzoneBackgroundImageAlignment": {
                  "horizontal": "center",
                  "vertical": "middle"
                },
                "dropzoneBackgroundImageFit": "fill",
                "dropzoneBackgroundImageOpacity": 100,
                "dropzoneBackgroundImageUrl": "",
                "dropzoneBackgroundType": "",
                "dropzoneBorderColor": "#333333",
                "dropzoneBorderStyle": "solid",
                "dropzoneBorderThickness": 0,
                "dropzoneHeight": "",
                "dropzoneJustifyContent": "center",
                "dropzoneMargin": {
                  "bottom": {
                    "type": "px",
                    "value": "0"
                  },
                  "left": {
                    "type": "px",
                    "value": "0"
                  },
                  "right": {
                    "type": "px",
                    "value": "0"
                  },
                  "top": {
                    "type": "px",
                    "value": "0"
                  }
                },
                "dropzonePadding": {
                  "bottom": {
                    "type": "px",
                    "value": "0"
                  },
                  "left": {
                    "type": "px",
                    "value": "10.5"
                  },
                  "right": {
                    "type": "px",
                    "value": "10.5"
                  },
                  "top": {
                    "type": "px",
                    "value": "0"
                  }
                },
                "dropzoneZIndex": "auto"
              },
              "widgets": [
                {
                  "configuration": {
                    "brand": {
                      "color": "#444444",
                      "textStyle": "default",
                      "visibility": "show"
                    },
                    "button": {
                      "buttonActionType": "addToCart",
                      "buttonColor": "rgba(68,68,68,1)",
                      "buttonTextColor": "rgba(255,255,255,1)",
                      "shape": "round",
                      "textStyle": "default",
                      "visibility": "hide"
                    },
                    "price": {
                      "color": "#444444",
                      "textStyle": "default",
                      "visibility": "show"
                    },
                    "productCardContentAlignment": {
                      "horizontal": "center"
                    },
                    "productId": "77",
                    "productImage": {
                      "imageFit": "fill",
                      "visibility": "show"
                    },
                    "productName": {
                      "color": "#444444",
                      "textStyle": "default",
                      "visibility": "show"
                    },
                    "productRating": {
                      "reviewsColor": "#8C93AD",
                      "starColorEmpty": "#ECEEF5",
                      "starColorFilled": "#3C64F4",
                      "visibility": "hide"
                    }
                  },
                  "description": "",
                  "name": "Product",
                  "storefront_api_query_params": {
                    "productId": 77
                  },
                  "type": "widget"
                }
              ]
            },
            {
              "configuration": {
                "dropzoneBackgroundColor": "rgba(0,0,0,0)",
                "dropzoneBackgroundImageAlignment": {
                  "horizontal": "center",
                  "vertical": "middle"
                },
                "dropzoneBackgroundImageFit": "fill",
                "dropzoneBackgroundImageOpacity": 100,
                "dropzoneBackgroundImageUrl": "",
                "dropzoneBackgroundType": "",
                "dropzoneBorderColor": "#333333",
                "dropzoneBorderStyle": "solid",
                "dropzoneBorderThickness": 0,
                "dropzoneHeight": "",
                "dropzoneJustifyContent": "center",
                "dropzoneMargin": {
                  "bottom": {
                    "type": "px",
                    "value": "0"
                  },
                  "left": {
                    "type": "px",
                    "value": "0"
                  },
                  "right": {
                    "type": "px",
                    "value": "0"
                  },
                  "top": {
                    "type": "px",
                    "value": "0"
                  }
                },
                "dropzonePadding": {
                  "bottom": {
                    "type": "px",
                    "value": "0"
                  },
                  "left": {
                    "type": "px",
                    "value": "10.5"
                  },
                  "right": {
                    "type": "px",
                    "value": "10.5"
                  },
                  "top": {
                    "type": "px",
                    "value": "0"
                  }
                },
                "dropzoneZIndex": "auto"
              },
              "widgets": [
                {
                  "configuration": {
                    "brand": {
                      "color": "#444444",
                      "textStyle": "default",
                      "visibility": "show"
                    },
                    "button": {
                      "buttonActionType": "addToCart",
                      "buttonColor": "rgba(68,68,68,1)",
                      "buttonTextColor": "rgba(255,255,255,1)",
                      "shape": "round",
                      "textStyle": "default",
                      "visibility": "hide"
                    },
                    "price": {
                      "color": "#444444",
                      "textStyle": "default",
                      "visibility": "show"
                    },
                    "productCardContentAlignment": {
                      "horizontal": "center"
                    },
                    "productId": "80",
                    "productImage": {
                      "imageFit": "fill",
                      "visibility": "show"
                    },
                    "productName": {
                      "color": "#444444",
                      "textStyle": "default",
                      "visibility": "show"
                    },
                    "productRating": {
                      "reviewsColor": "#8C93AD",
                      "starColorEmpty": "#ECEEF5",
                      "starColorFilled": "#3C64F4",
                      "visibility": "hide"
                    }
                  },
                  "description": "",
                  "name": "Product",
                  "storefront_api_query_params": {
                    "productId": 80
                  },
                  "type": "widget"
                }
              ]
            },
            {
              "configuration": {
                "dropzoneBackgroundColor": "rgba(0,0,0,0)",
                "dropzoneBackgroundImageAlignment": {
                  "horizontal": "center",
                  "vertical": "middle"
                },
                "dropzoneBackgroundImageFit": "fill",
                "dropzoneBackgroundImageOpacity": 100,
                "dropzoneBackgroundImageUrl": "",
                "dropzoneBackgroundType": "",
                "dropzoneBorderColor": "#333333",
                "dropzoneBorderStyle": "solid",
                "dropzoneBorderThickness": 0,
                "dropzoneHeight": "",
                "dropzoneJustifyContent": "center",
                "dropzoneMargin": {
                  "bottom": {
                    "type": "px",
                    "value": "0"
                  },
                  "left": {
                    "type": "px",
                    "value": "0"
                  },
                  "right": {
                    "type": "px",
                    "value": "0"
                  },
                  "top": {
                    "type": "px",
                    "value": "0"
                  }
                },
                "dropzonePadding": {
                  "bottom": {
                    "type": "px",
                    "value": "0"
                  },
                  "left": {
                    "type": "px",
                    "value": "10.5"
                  },
                  "right": {
                    "type": "px",
                    "value": "10.5"
                  },
                  "top": {
                    "type": "px",
                    "value": "0"
                  }
                },
                "dropzoneZIndex": "auto"
              },
              "widgets": [
                {
                  "configuration": {
                    "brand": {
                      "color": "#444444",
                      "textStyle": "default",
                      "visibility": "show"
                    },
                    "button": {
                      "buttonActionType": "addToCart",
                      "buttonColor": "rgba(68,68,68,1)",
                      "buttonTextColor": "rgba(255,255,255,1)",
                      "shape": "round",
                      "textStyle": "default",
                      "visibility": "hide"
                    },
                    "price": {
                      "color": "#444444",
                      "textStyle": "default",
                      "visibility": "show"
                    },
                    "productCardContentAlignment": {
                      "horizontal": "center"
                    },
                    "productId": "93",
                    "productImage": {
                      "imageFit": "fill",
                      "visibility": "show"
                    },
                    "productName": {
                      "color": "#444444",
                      "textStyle": "default",
                      "visibility": "show"
                    },
                    "productRating": {
                      "reviewsColor": "#8C93AD",
                      "starColorEmpty": "#ECEEF5",
                      "starColorFilled": "#3C64F4",
                      "visibility": "hide"
                    }
                  },
                  "description": "",
                  "name": "Product",
                  "storefront_api_query_params": {
                    "productId": 93
                  },
                  "type": "widget"
                }
              ]
            }
          ],
          "name": "Layout",
          "type": "layout"
        }
      ]
    }
  ],
  "template_file": "pages/page",
  "entity_id": "5",
  "channel_id": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/content/page-widgets"

payload = {
    "regions": [
        {
            "name": "home_below_menu",
            "children": [
                {
                    "configuration": {
                        "backgroundColor": "#444444",
                        "backgroundType": "image",
                        "buttonColor": "#444444",
                        "buttonFont": "default",
                        "buttonFontFamily": "inherit",
                        "buttonStyle": "round",
                        "buttonText": "Shop now",
                        "buttonTextColor": "rgba(255,255,255,1)",
                        "buttonVisible": "show",
                        "containerHeight": "small",
                        "contentAlignment": { "horizontal": "left" },
                        "descriptionFontFamily": "inherit",
                        "descriptionFontSize": {
                            "type": "px",
                            "value": 21
                        },
                        "descriptionFontWeight": "400",
                        "descriptionStyle": "default",
                        "descriptionVisible": "show",
                        "imageAlignment": {
                            "horizontal": "center",
                            "vertical": "middle"
                        },
                        "imageFit": "fill",
                        "imageOpacity": 100,
                        "imageParallax": "off",
                        "imageUrl": {
                            "src": "https://images.unsplash.com/photo-1533038590840-1cde6e668a91?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=2000&q=100",
                            "type": "IMAGE_MANAGER"
                        },
                        "mobileButtonColor": "#444444",
                        "mobileButtonTextColor": "rgba(255,255,255,1)",
                        "mobileTextColor": "#444444",
                        "subtitle": "Add a description for this hero banner. This is a great place to highlight a promotion.",
                        "textColor": "#444444",
                        "title": "Hero Banner Title",
                        "titleFontFamily": "inherit",
                        "titleFontSize": {
                            "type": "px",
                            "value": 36
                        },
                        "titleFontWeight": "400",
                        "titleStyle": "default",
                        "titleVisible": "show"
                    },
                    "description": "",
                    "name": "Hero Banner",
                    "storefront_api_query_params": {},
                    "type": "widget"
                }
            ]
        },
        {
            "name": "header_bottom",
            "children": [
                {
                    "configuration": {
                        "columnWeights": ["33.333333%", "33.333333%", "33.333333%"],
                        "layoutBackgroundColor": "rgba(0,0,0,0)",
                        "layoutBackgroundImageAlignment": {
                            "horizontal": "center",
                            "vertical": "middle"
                        },
                        "layoutBackgroundImageFit": "fill",
                        "layoutBackgroundImageOpacity": 100,
                        "layoutBackgroundImageUrl": "",
                        "layoutBackgroundType": "",
                        "layoutBorderColor": "#333333",
                        "layoutBorderStyle": "solid",
                        "layoutBorderThickness": 0,
                        "layoutHeight": "",
                        "layoutMargin": {
                            "bottom": {
                                "type": "px",
                                "value": "0"
                            },
                            "left": {
                                "type": "px",
                                "value": "0"
                            },
                            "right": {
                                "type": "px",
                                "value": "0"
                            },
                            "top": {
                                "type": "px",
                                "value": "0"
                            }
                        },
                        "layoutPadding": {
                            "bottom": {
                                "type": "px",
                                "value": "0"
                            },
                            "left": {
                                "type": "px",
                                "value": "0"
                            },
                            "right": {
                                "type": "px",
                                "value": "0"
                            },
                            "top": {
                                "type": "px",
                                "value": "0"
                            }
                        },
                        "layoutZIndex": "auto",
                        "name": "Layout",
                        "numberOfDropzones": 3
                    },
                    "dropzones": [
                        {
                            "configuration": {
                                "dropzoneBackgroundColor": "rgba(0,0,0,0)",
                                "dropzoneBackgroundImageAlignment": {
                                    "horizontal": "center",
                                    "vertical": "middle"
                                },
                                "dropzoneBackgroundImageFit": "fill",
                                "dropzoneBackgroundImageOpacity": 100,
                                "dropzoneBackgroundImageUrl": "",
                                "dropzoneBackgroundType": "",
                                "dropzoneBorderColor": "#333333",
                                "dropzoneBorderStyle": "solid",
                                "dropzoneBorderThickness": 0,
                                "dropzoneHeight": "",
                                "dropzoneJustifyContent": "center",
                                "dropzoneMargin": {
                                    "bottom": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "left": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "right": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "top": {
                                        "type": "px",
                                        "value": "0"
                                    }
                                },
                                "dropzonePadding": {
                                    "bottom": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "left": {
                                        "type": "px",
                                        "value": "10.5"
                                    },
                                    "right": {
                                        "type": "px",
                                        "value": "10.5"
                                    },
                                    "top": {
                                        "type": "px",
                                        "value": "0"
                                    }
                                },
                                "dropzoneZIndex": "auto"
                            },
                            "widgets": [
                                {
                                    "configuration": {
                                        "brand": {
                                            "color": "#444444",
                                            "textStyle": "default",
                                            "visibility": "show"
                                        },
                                        "button": {
                                            "buttonActionType": "addToCart",
                                            "buttonColor": "rgba(68,68,68,1)",
                                            "buttonTextColor": "rgba(255,255,255,1)",
                                            "shape": "round",
                                            "textStyle": "default",
                                            "visibility": "hide"
                                        },
                                        "price": {
                                            "color": "#444444",
                                            "textStyle": "default",
                                            "visibility": "show"
                                        },
                                        "productCardContentAlignment": { "horizontal": "center" },
                                        "productId": "77",
                                        "productImage": {
                                            "imageFit": "fill",
                                            "visibility": "show"
                                        },
                                        "productName": {
                                            "color": "#444444",
                                            "textStyle": "default",
                                            "visibility": "show"
                                        },
                                        "productRating": {
                                            "reviewsColor": "#8C93AD",
                                            "starColorEmpty": "#ECEEF5",
                                            "starColorFilled": "#3C64F4",
                                            "visibility": "hide"
                                        }
                                    },
                                    "description": "",
                                    "name": "Product",
                                    "storefront_api_query_params": { "productId": 77 },
                                    "type": "widget"
                                }
                            ]
                        },
                        {
                            "configuration": {
                                "dropzoneBackgroundColor": "rgba(0,0,0,0)",
                                "dropzoneBackgroundImageAlignment": {
                                    "horizontal": "center",
                                    "vertical": "middle"
                                },
                                "dropzoneBackgroundImageFit": "fill",
                                "dropzoneBackgroundImageOpacity": 100,
                                "dropzoneBackgroundImageUrl": "",
                                "dropzoneBackgroundType": "",
                                "dropzoneBorderColor": "#333333",
                                "dropzoneBorderStyle": "solid",
                                "dropzoneBorderThickness": 0,
                                "dropzoneHeight": "",
                                "dropzoneJustifyContent": "center",
                                "dropzoneMargin": {
                                    "bottom": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "left": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "right": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "top": {
                                        "type": "px",
                                        "value": "0"
                                    }
                                },
                                "dropzonePadding": {
                                    "bottom": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "left": {
                                        "type": "px",
                                        "value": "10.5"
                                    },
                                    "right": {
                                        "type": "px",
                                        "value": "10.5"
                                    },
                                    "top": {
                                        "type": "px",
                                        "value": "0"
                                    }
                                },
                                "dropzoneZIndex": "auto"
                            },
                            "widgets": [
                                {
                                    "configuration": {
                                        "brand": {
                                            "color": "#444444",
                                            "textStyle": "default",
                                            "visibility": "show"
                                        },
                                        "button": {
                                            "buttonActionType": "addToCart",
                                            "buttonColor": "rgba(68,68,68,1)",
                                            "buttonTextColor": "rgba(255,255,255,1)",
                                            "shape": "round",
                                            "textStyle": "default",
                                            "visibility": "hide"
                                        },
                                        "price": {
                                            "color": "#444444",
                                            "textStyle": "default",
                                            "visibility": "show"
                                        },
                                        "productCardContentAlignment": { "horizontal": "center" },
                                        "productId": "80",
                                        "productImage": {
                                            "imageFit": "fill",
                                            "visibility": "show"
                                        },
                                        "productName": {
                                            "color": "#444444",
                                            "textStyle": "default",
                                            "visibility": "show"
                                        },
                                        "productRating": {
                                            "reviewsColor": "#8C93AD",
                                            "starColorEmpty": "#ECEEF5",
                                            "starColorFilled": "#3C64F4",
                                            "visibility": "hide"
                                        }
                                    },
                                    "description": "",
                                    "name": "Product",
                                    "storefront_api_query_params": { "productId": 80 },
                                    "type": "widget"
                                }
                            ]
                        },
                        {
                            "configuration": {
                                "dropzoneBackgroundColor": "rgba(0,0,0,0)",
                                "dropzoneBackgroundImageAlignment": {
                                    "horizontal": "center",
                                    "vertical": "middle"
                                },
                                "dropzoneBackgroundImageFit": "fill",
                                "dropzoneBackgroundImageOpacity": 100,
                                "dropzoneBackgroundImageUrl": "",
                                "dropzoneBackgroundType": "",
                                "dropzoneBorderColor": "#333333",
                                "dropzoneBorderStyle": "solid",
                                "dropzoneBorderThickness": 0,
                                "dropzoneHeight": "",
                                "dropzoneJustifyContent": "center",
                                "dropzoneMargin": {
                                    "bottom": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "left": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "right": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "top": {
                                        "type": "px",
                                        "value": "0"
                                    }
                                },
                                "dropzonePadding": {
                                    "bottom": {
                                        "type": "px",
                                        "value": "0"
                                    },
                                    "left": {
                                        "type": "px",
                                        "value": "10.5"
                                    },
                                    "right": {
                                        "type": "px",
                                        "value": "10.5"
                                    },
                                    "top": {
                                        "type": "px",
                                        "value": "0"
                                    }
                                },
                                "dropzoneZIndex": "auto"
                            },
                            "widgets": [
                                {
                                    "configuration": {
                                        "brand": {
                                            "color": "#444444",
                                            "textStyle": "default",
                                            "visibility": "show"
                                        },
                                        "button": {
                                            "buttonActionType": "addToCart",
                                            "buttonColor": "rgba(68,68,68,1)",
                                            "buttonTextColor": "rgba(255,255,255,1)",
                                            "shape": "round",
                                            "textStyle": "default",
                                            "visibility": "hide"
                                        },
                                        "price": {
                                            "color": "#444444",
                                            "textStyle": "default",
                                            "visibility": "show"
                                        },
                                        "productCardContentAlignment": { "horizontal": "center" },
                                        "productId": "93",
                                        "productImage": {
                                            "imageFit": "fill",
                                            "visibility": "show"
                                        },
                                        "productName": {
                                            "color": "#444444",
                                            "textStyle": "default",
                                            "visibility": "show"
                                        },
                                        "productRating": {
                                            "reviewsColor": "#8C93AD",
                                            "starColorEmpty": "#ECEEF5",
                                            "starColorFilled": "#3C64F4",
                                            "visibility": "hide"
                                        }
                                    },
                                    "description": "",
                                    "name": "Product",
                                    "storefront_api_query_params": { "productId": 93 },
                                    "type": "widget"
                                }
                            ]
                        }
                    ],
                    "name": "Layout",
                    "type": "layout"
                }
            ]
        }
    ],
    "template_file": "pages/page",
    "entity_id": "5",
    "channel_id": 1
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/content/page-widgets';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"regions":[{"name":"home_below_menu","children":[{"configuration":{"backgroundColor":"#444444","backgroundType":"image","buttonColor":"#444444","buttonFont":"default","buttonFontFamily":"inherit","buttonStyle":"round","buttonText":"Shop now","buttonTextColor":"rgba(255,255,255,1)","buttonVisible":"show","containerHeight":"small","contentAlignment":{"horizontal":"left"},"descriptionFontFamily":"inherit","descriptionFontSize":{"type":"px","value":21},"descriptionFontWeight":"400","descriptionStyle":"default","descriptionVisible":"show","imageAlignment":{"horizontal":"center","vertical":"middle"},"imageFit":"fill","imageOpacity":100,"imageParallax":"off","imageUrl":{"src":"https://images.unsplash.com/photo-1533038590840-1cde6e668a91?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=2000&q=100","type":"IMAGE_MANAGER"},"mobileButtonColor":"#444444","mobileButtonTextColor":"rgba(255,255,255,1)","mobileTextColor":"#444444","subtitle":"Add a description for this hero banner. This is a great place to highlight a promotion.","textColor":"#444444","title":"Hero Banner Title","titleFontFamily":"inherit","titleFontSize":{"type":"px","value":36},"titleFontWeight":"400","titleStyle":"default","titleVisible":"show"},"description":"","name":"Hero Banner","storefront_api_query_params":{},"type":"widget"}]},{"name":"header_bottom","children":[{"configuration":{"columnWeights":["33.333333%","33.333333%","33.333333%"],"layoutBackgroundColor":"rgba(0,0,0,0)","layoutBackgroundImageAlignment":{"horizontal":"center","vertical":"middle"},"layoutBackgroundImageFit":"fill","layoutBackgroundImageOpacity":100,"layoutBackgroundImageUrl":"","layoutBackgroundType":"","layoutBorderColor":"#333333","layoutBorderStyle":"solid","layoutBorderThickness":0,"layoutHeight":"","layoutMargin":{"bottom":{"type":"px","value":"0"},"left":{"type":"px","value":"0"},"right":{"type":"px","value":"0"},"top":{"type":"px","value":"0"}},"layoutPadding":{"bottom":{"type":"px","value":"0"},"left":{"type":"px","value":"0"},"right":{"type":"px","value":"0"},"top":{"type":"px","value":"0"}},"layoutZIndex":"auto","name":"Layout","numberOfDropzones":3},"dropzones":[{"configuration":{"dropzoneBackgroundColor":"rgba(0,0,0,0)","dropzoneBackgroundImageAlignment":{"horizontal":"center","vertical":"middle"},"dropzoneBackgroundImageFit":"fill","dropzoneBackgroundImageOpacity":100,"dropzoneBackgroundImageUrl":"","dropzoneBackgroundType":"","dropzoneBorderColor":"#333333","dropzoneBorderStyle":"solid","dropzoneBorderThickness":0,"dropzoneHeight":"","dropzoneJustifyContent":"center","dropzoneMargin":{"bottom":{"type":"px","value":"0"},"left":{"type":"px","value":"0"},"right":{"type":"px","value":"0"},"top":{"type":"px","value":"0"}},"dropzonePadding":{"bottom":{"type":"px","value":"0"},"left":{"type":"px","value":"10.5"},"right":{"type":"px","value":"10.5"},"top":{"type":"px","value":"0"}},"dropzoneZIndex":"auto"},"widgets":[{"configuration":{"brand":{"color":"#444444","textStyle":"default","visibility":"show"},"button":{"buttonActionType":"addToCart","buttonColor":"rgba(68,68,68,1)","buttonTextColor":"rgba(255,255,255,1)","shape":"round","textStyle":"default","visibility":"hide"},"price":{"color":"#444444","textStyle":"default","visibility":"show"},"productCardContentAlignment":{"horizontal":"center"},"productId":"77","productImage":{"imageFit":"fill","visibility":"show"},"productName":{"color":"#444444","textStyle":"default","visibility":"show"},"productRating":{"reviewsColor":"#8C93AD","starColorEmpty":"#ECEEF5","starColorFilled":"#3C64F4","visibility":"hide"}},"description":"","name":"Product","storefront_api_query_params":{"productId":77},"type":"widget"}]},{"configuration":{"dropzoneBackgroundColor":"rgba(0,0,0,0)","dropzoneBackgroundImageAlignment":{"horizontal":"center","vertical":"middle"},"dropzoneBackgroundImageFit":"fill","dropzoneBackgroundImageOpacity":100,"dropzoneBackgroundImageUrl":"","dropzoneBackgroundType":"","dropzoneBorderColor":"#333333","dropzoneBorderStyle":"solid","dropzoneBorderThickness":0,"dropzoneHeight":"","dropzoneJustifyContent":"center","dropzoneMargin":{"bottom":{"type":"px","value":"0"},"left":{"type":"px","value":"0"},"right":{"type":"px","value":"0"},"top":{"type":"px","value":"0"}},"dropzonePadding":{"bottom":{"type":"px","value":"0"},"left":{"type":"px","value":"10.5"},"right":{"type":"px","value":"10.5"},"top":{"type":"px","value":"0"}},"dropzoneZIndex":"auto"},"widgets":[{"configuration":{"brand":{"color":"#444444","textStyle":"default","visibility":"show"},"button":{"buttonActionType":"addToCart","buttonColor":"rgba(68,68,68,1)","buttonTextColor":"rgba(255,255,255,1)","shape":"round","textStyle":"default","visibility":"hide"},"price":{"color":"#444444","textStyle":"default","visibility":"show"},"productCardContentAlignment":{"horizontal":"center"},"productId":"80","productImage":{"imageFit":"fill","visibility":"show"},"productName":{"color":"#444444","textStyle":"default","visibility":"show"},"productRating":{"reviewsColor":"#8C93AD","starColorEmpty":"#ECEEF5","starColorFilled":"#3C64F4","visibility":"hide"}},"description":"","name":"Product","storefront_api_query_params":{"productId":80},"type":"widget"}]},{"configuration":{"dropzoneBackgroundColor":"rgba(0,0,0,0)","dropzoneBackgroundImageAlignment":{"horizontal":"center","vertical":"middle"},"dropzoneBackgroundImageFit":"fill","dropzoneBackgroundImageOpacity":100,"dropzoneBackgroundImageUrl":"","dropzoneBackgroundType":"","dropzoneBorderColor":"#333333","dropzoneBorderStyle":"solid","dropzoneBorderThickness":0,"dropzoneHeight":"","dropzoneJustifyContent":"center","dropzoneMargin":{"bottom":{"type":"px","value":"0"},"left":{"type":"px","value":"0"},"right":{"type":"px","value":"0"},"top":{"type":"px","value":"0"}},"dropzonePadding":{"bottom":{"type":"px","value":"0"},"left":{"type":"px","value":"10.5"},"right":{"type":"px","value":"10.5"},"top":{"type":"px","value":"0"}},"dropzoneZIndex":"auto"},"widgets":[{"configuration":{"brand":{"color":"#444444","textStyle":"default","visibility":"show"},"button":{"buttonActionType":"addToCart","buttonColor":"rgba(68,68,68,1)","buttonTextColor":"rgba(255,255,255,1)","shape":"round","textStyle":"default","visibility":"hide"},"price":{"color":"#444444","textStyle":"default","visibility":"show"},"productCardContentAlignment":{"horizontal":"center"},"productId":"93","productImage":{"imageFit":"fill","visibility":"show"},"productName":{"color":"#444444","textStyle":"default","visibility":"show"},"productRating":{"reviewsColor":"#8C93AD","starColorEmpty":"#ECEEF5","starColorFilled":"#3C64F4","visibility":"hide"}},"description":"","name":"Product","storefront_api_query_params":{"productId":93},"type":"widget"}]}],"name":"Layout","type":"layout"}]}],"template_file":"pages/page","entity_id":"5","channel_id":1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/content/page-widgets"

	payload := strings.NewReader("{\n  \"regions\": [\n    {\n      \"name\": \"home_below_menu\",\n      \"children\": [\n        {\n          \"configuration\": {\n            \"backgroundColor\": \"#444444\",\n            \"backgroundType\": \"image\",\n            \"buttonColor\": \"#444444\",\n            \"buttonFont\": \"default\",\n            \"buttonFontFamily\": \"inherit\",\n            \"buttonStyle\": \"round\",\n            \"buttonText\": \"Shop now\",\n            \"buttonTextColor\": \"rgba(255,255,255,1)\",\n            \"buttonVisible\": \"show\",\n            \"containerHeight\": \"small\",\n            \"contentAlignment\": {\n              \"horizontal\": \"left\"\n            },\n            \"descriptionFontFamily\": \"inherit\",\n            \"descriptionFontSize\": {\n              \"type\": \"px\",\n              \"value\": 21\n            },\n            \"descriptionFontWeight\": \"400\",\n            \"descriptionStyle\": \"default\",\n            \"descriptionVisible\": \"show\",\n            \"imageAlignment\": {\n              \"horizontal\": \"center\",\n              \"vertical\": \"middle\"\n            },\n            \"imageFit\": \"fill\",\n            \"imageOpacity\": 100,\n            \"imageParallax\": \"off\",\n            \"imageUrl\": {\n              \"src\": \"https://images.unsplash.com/photo-1533038590840-1cde6e668a91?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=2000&q=100\",\n              \"type\": \"IMAGE_MANAGER\"\n            },\n            \"mobileButtonColor\": \"#444444\",\n            \"mobileButtonTextColor\": \"rgba(255,255,255,1)\",\n            \"mobileTextColor\": \"#444444\",\n            \"subtitle\": \"Add a description for this hero banner. This is a great place to highlight a promotion.\",\n            \"textColor\": \"#444444\",\n            \"title\": \"Hero Banner Title\",\n            \"titleFontFamily\": \"inherit\",\n            \"titleFontSize\": {\n              \"type\": \"px\",\n              \"value\": 36\n            },\n            \"titleFontWeight\": \"400\",\n            \"titleStyle\": \"default\",\n            \"titleVisible\": \"show\"\n          },\n          \"description\": \"\",\n          \"name\": \"Hero Banner\",\n          \"storefront_api_query_params\": {},\n          \"type\": \"widget\"\n        }\n      ]\n    },\n    {\n      \"name\": \"header_bottom\",\n      \"children\": [\n        {\n          \"configuration\": {\n            \"columnWeights\": [\n              \"33.333333%\",\n              \"33.333333%\",\n              \"33.333333%\"\n            ],\n            \"layoutBackgroundColor\": \"rgba(0,0,0,0)\",\n            \"layoutBackgroundImageAlignment\": {\n              \"horizontal\": \"center\",\n              \"vertical\": \"middle\"\n            },\n            \"layoutBackgroundImageFit\": \"fill\",\n            \"layoutBackgroundImageOpacity\": 100,\n            \"layoutBackgroundImageUrl\": \"\",\n            \"layoutBackgroundType\": \"\",\n            \"layoutBorderColor\": \"#333333\",\n            \"layoutBorderStyle\": \"solid\",\n            \"layoutBorderThickness\": 0,\n            \"layoutHeight\": \"\",\n            \"layoutMargin\": {\n              \"bottom\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"left\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"right\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"top\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              }\n            },\n            \"layoutPadding\": {\n              \"bottom\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"left\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"right\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"top\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              }\n            },\n            \"layoutZIndex\": \"auto\",\n            \"name\": \"Layout\",\n            \"numberOfDropzones\": 3\n          },\n          \"dropzones\": [\n            {\n              \"configuration\": {\n                \"dropzoneBackgroundColor\": \"rgba(0,0,0,0)\",\n                \"dropzoneBackgroundImageAlignment\": {\n                  \"horizontal\": \"center\",\n                  \"vertical\": \"middle\"\n                },\n                \"dropzoneBackgroundImageFit\": \"fill\",\n                \"dropzoneBackgroundImageOpacity\": 100,\n                \"dropzoneBackgroundImageUrl\": \"\",\n                \"dropzoneBackgroundType\": \"\",\n                \"dropzoneBorderColor\": \"#333333\",\n                \"dropzoneBorderStyle\": \"solid\",\n                \"dropzoneBorderThickness\": 0,\n                \"dropzoneHeight\": \"\",\n                \"dropzoneJustifyContent\": \"center\",\n                \"dropzoneMargin\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzonePadding\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzoneZIndex\": \"auto\"\n              },\n              \"widgets\": [\n                {\n                  \"configuration\": {\n                    \"brand\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"button\": {\n                      \"buttonActionType\": \"addToCart\",\n                      \"buttonColor\": \"rgba(68,68,68,1)\",\n                      \"buttonTextColor\": \"rgba(255,255,255,1)\",\n                      \"shape\": \"round\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"hide\"\n                    },\n                    \"price\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productCardContentAlignment\": {\n                      \"horizontal\": \"center\"\n                    },\n                    \"productId\": \"77\",\n                    \"productImage\": {\n                      \"imageFit\": \"fill\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productName\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productRating\": {\n                      \"reviewsColor\": \"#8C93AD\",\n                      \"starColorEmpty\": \"#ECEEF5\",\n                      \"starColorFilled\": \"#3C64F4\",\n                      \"visibility\": \"hide\"\n                    }\n                  },\n                  \"description\": \"\",\n                  \"name\": \"Product\",\n                  \"storefront_api_query_params\": {\n                    \"productId\": 77\n                  },\n                  \"type\": \"widget\"\n                }\n              ]\n            },\n            {\n              \"configuration\": {\n                \"dropzoneBackgroundColor\": \"rgba(0,0,0,0)\",\n                \"dropzoneBackgroundImageAlignment\": {\n                  \"horizontal\": \"center\",\n                  \"vertical\": \"middle\"\n                },\n                \"dropzoneBackgroundImageFit\": \"fill\",\n                \"dropzoneBackgroundImageOpacity\": 100,\n                \"dropzoneBackgroundImageUrl\": \"\",\n                \"dropzoneBackgroundType\": \"\",\n                \"dropzoneBorderColor\": \"#333333\",\n                \"dropzoneBorderStyle\": \"solid\",\n                \"dropzoneBorderThickness\": 0,\n                \"dropzoneHeight\": \"\",\n                \"dropzoneJustifyContent\": \"center\",\n                \"dropzoneMargin\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzonePadding\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzoneZIndex\": \"auto\"\n              },\n              \"widgets\": [\n                {\n                  \"configuration\": {\n                    \"brand\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"button\": {\n                      \"buttonActionType\": \"addToCart\",\n                      \"buttonColor\": \"rgba(68,68,68,1)\",\n                      \"buttonTextColor\": \"rgba(255,255,255,1)\",\n                      \"shape\": \"round\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"hide\"\n                    },\n                    \"price\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productCardContentAlignment\": {\n                      \"horizontal\": \"center\"\n                    },\n                    \"productId\": \"80\",\n                    \"productImage\": {\n                      \"imageFit\": \"fill\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productName\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productRating\": {\n                      \"reviewsColor\": \"#8C93AD\",\n                      \"starColorEmpty\": \"#ECEEF5\",\n                      \"starColorFilled\": \"#3C64F4\",\n                      \"visibility\": \"hide\"\n                    }\n                  },\n                  \"description\": \"\",\n                  \"name\": \"Product\",\n                  \"storefront_api_query_params\": {\n                    \"productId\": 80\n                  },\n                  \"type\": \"widget\"\n                }\n              ]\n            },\n            {\n              \"configuration\": {\n                \"dropzoneBackgroundColor\": \"rgba(0,0,0,0)\",\n                \"dropzoneBackgroundImageAlignment\": {\n                  \"horizontal\": \"center\",\n                  \"vertical\": \"middle\"\n                },\n                \"dropzoneBackgroundImageFit\": \"fill\",\n                \"dropzoneBackgroundImageOpacity\": 100,\n                \"dropzoneBackgroundImageUrl\": \"\",\n                \"dropzoneBackgroundType\": \"\",\n                \"dropzoneBorderColor\": \"#333333\",\n                \"dropzoneBorderStyle\": \"solid\",\n                \"dropzoneBorderThickness\": 0,\n                \"dropzoneHeight\": \"\",\n                \"dropzoneJustifyContent\": \"center\",\n                \"dropzoneMargin\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzonePadding\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzoneZIndex\": \"auto\"\n              },\n              \"widgets\": [\n                {\n                  \"configuration\": {\n                    \"brand\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"button\": {\n                      \"buttonActionType\": \"addToCart\",\n                      \"buttonColor\": \"rgba(68,68,68,1)\",\n                      \"buttonTextColor\": \"rgba(255,255,255,1)\",\n                      \"shape\": \"round\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"hide\"\n                    },\n                    \"price\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productCardContentAlignment\": {\n                      \"horizontal\": \"center\"\n                    },\n                    \"productId\": \"93\",\n                    \"productImage\": {\n                      \"imageFit\": \"fill\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productName\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productRating\": {\n                      \"reviewsColor\": \"#8C93AD\",\n                      \"starColorEmpty\": \"#ECEEF5\",\n                      \"starColorFilled\": \"#3C64F4\",\n                      \"visibility\": \"hide\"\n                    }\n                  },\n                  \"description\": \"\",\n                  \"name\": \"Product\",\n                  \"storefront_api_query_params\": {\n                    \"productId\": 93\n                  },\n                  \"type\": \"widget\"\n                }\n              ]\n            }\n          ],\n          \"name\": \"Layout\",\n          \"type\": \"layout\"\n        }\n      ]\n    }\n  ],\n  \"template_file\": \"pages/page\",\n  \"entity_id\": \"5\",\n  \"channel_id\": 1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/content/page-widgets")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"regions\": [\n    {\n      \"name\": \"home_below_menu\",\n      \"children\": [\n        {\n          \"configuration\": {\n            \"backgroundColor\": \"#444444\",\n            \"backgroundType\": \"image\",\n            \"buttonColor\": \"#444444\",\n            \"buttonFont\": \"default\",\n            \"buttonFontFamily\": \"inherit\",\n            \"buttonStyle\": \"round\",\n            \"buttonText\": \"Shop now\",\n            \"buttonTextColor\": \"rgba(255,255,255,1)\",\n            \"buttonVisible\": \"show\",\n            \"containerHeight\": \"small\",\n            \"contentAlignment\": {\n              \"horizontal\": \"left\"\n            },\n            \"descriptionFontFamily\": \"inherit\",\n            \"descriptionFontSize\": {\n              \"type\": \"px\",\n              \"value\": 21\n            },\n            \"descriptionFontWeight\": \"400\",\n            \"descriptionStyle\": \"default\",\n            \"descriptionVisible\": \"show\",\n            \"imageAlignment\": {\n              \"horizontal\": \"center\",\n              \"vertical\": \"middle\"\n            },\n            \"imageFit\": \"fill\",\n            \"imageOpacity\": 100,\n            \"imageParallax\": \"off\",\n            \"imageUrl\": {\n              \"src\": \"https://images.unsplash.com/photo-1533038590840-1cde6e668a91?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=2000&q=100\",\n              \"type\": \"IMAGE_MANAGER\"\n            },\n            \"mobileButtonColor\": \"#444444\",\n            \"mobileButtonTextColor\": \"rgba(255,255,255,1)\",\n            \"mobileTextColor\": \"#444444\",\n            \"subtitle\": \"Add a description for this hero banner. This is a great place to highlight a promotion.\",\n            \"textColor\": \"#444444\",\n            \"title\": \"Hero Banner Title\",\n            \"titleFontFamily\": \"inherit\",\n            \"titleFontSize\": {\n              \"type\": \"px\",\n              \"value\": 36\n            },\n            \"titleFontWeight\": \"400\",\n            \"titleStyle\": \"default\",\n            \"titleVisible\": \"show\"\n          },\n          \"description\": \"\",\n          \"name\": \"Hero Banner\",\n          \"storefront_api_query_params\": {},\n          \"type\": \"widget\"\n        }\n      ]\n    },\n    {\n      \"name\": \"header_bottom\",\n      \"children\": [\n        {\n          \"configuration\": {\n            \"columnWeights\": [\n              \"33.333333%\",\n              \"33.333333%\",\n              \"33.333333%\"\n            ],\n            \"layoutBackgroundColor\": \"rgba(0,0,0,0)\",\n            \"layoutBackgroundImageAlignment\": {\n              \"horizontal\": \"center\",\n              \"vertical\": \"middle\"\n            },\n            \"layoutBackgroundImageFit\": \"fill\",\n            \"layoutBackgroundImageOpacity\": 100,\n            \"layoutBackgroundImageUrl\": \"\",\n            \"layoutBackgroundType\": \"\",\n            \"layoutBorderColor\": \"#333333\",\n            \"layoutBorderStyle\": \"solid\",\n            \"layoutBorderThickness\": 0,\n            \"layoutHeight\": \"\",\n            \"layoutMargin\": {\n              \"bottom\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"left\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"right\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"top\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              }\n            },\n            \"layoutPadding\": {\n              \"bottom\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"left\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"right\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"top\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              }\n            },\n            \"layoutZIndex\": \"auto\",\n            \"name\": \"Layout\",\n            \"numberOfDropzones\": 3\n          },\n          \"dropzones\": [\n            {\n              \"configuration\": {\n                \"dropzoneBackgroundColor\": \"rgba(0,0,0,0)\",\n                \"dropzoneBackgroundImageAlignment\": {\n                  \"horizontal\": \"center\",\n                  \"vertical\": \"middle\"\n                },\n                \"dropzoneBackgroundImageFit\": \"fill\",\n                \"dropzoneBackgroundImageOpacity\": 100,\n                \"dropzoneBackgroundImageUrl\": \"\",\n                \"dropzoneBackgroundType\": \"\",\n                \"dropzoneBorderColor\": \"#333333\",\n                \"dropzoneBorderStyle\": \"solid\",\n                \"dropzoneBorderThickness\": 0,\n                \"dropzoneHeight\": \"\",\n                \"dropzoneJustifyContent\": \"center\",\n                \"dropzoneMargin\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzonePadding\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzoneZIndex\": \"auto\"\n              },\n              \"widgets\": [\n                {\n                  \"configuration\": {\n                    \"brand\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"button\": {\n                      \"buttonActionType\": \"addToCart\",\n                      \"buttonColor\": \"rgba(68,68,68,1)\",\n                      \"buttonTextColor\": \"rgba(255,255,255,1)\",\n                      \"shape\": \"round\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"hide\"\n                    },\n                    \"price\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productCardContentAlignment\": {\n                      \"horizontal\": \"center\"\n                    },\n                    \"productId\": \"77\",\n                    \"productImage\": {\n                      \"imageFit\": \"fill\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productName\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productRating\": {\n                      \"reviewsColor\": \"#8C93AD\",\n                      \"starColorEmpty\": \"#ECEEF5\",\n                      \"starColorFilled\": \"#3C64F4\",\n                      \"visibility\": \"hide\"\n                    }\n                  },\n                  \"description\": \"\",\n                  \"name\": \"Product\",\n                  \"storefront_api_query_params\": {\n                    \"productId\": 77\n                  },\n                  \"type\": \"widget\"\n                }\n              ]\n            },\n            {\n              \"configuration\": {\n                \"dropzoneBackgroundColor\": \"rgba(0,0,0,0)\",\n                \"dropzoneBackgroundImageAlignment\": {\n                  \"horizontal\": \"center\",\n                  \"vertical\": \"middle\"\n                },\n                \"dropzoneBackgroundImageFit\": \"fill\",\n                \"dropzoneBackgroundImageOpacity\": 100,\n                \"dropzoneBackgroundImageUrl\": \"\",\n                \"dropzoneBackgroundType\": \"\",\n                \"dropzoneBorderColor\": \"#333333\",\n                \"dropzoneBorderStyle\": \"solid\",\n                \"dropzoneBorderThickness\": 0,\n                \"dropzoneHeight\": \"\",\n                \"dropzoneJustifyContent\": \"center\",\n                \"dropzoneMargin\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzonePadding\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzoneZIndex\": \"auto\"\n              },\n              \"widgets\": [\n                {\n                  \"configuration\": {\n                    \"brand\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"button\": {\n                      \"buttonActionType\": \"addToCart\",\n                      \"buttonColor\": \"rgba(68,68,68,1)\",\n                      \"buttonTextColor\": \"rgba(255,255,255,1)\",\n                      \"shape\": \"round\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"hide\"\n                    },\n                    \"price\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productCardContentAlignment\": {\n                      \"horizontal\": \"center\"\n                    },\n                    \"productId\": \"80\",\n                    \"productImage\": {\n                      \"imageFit\": \"fill\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productName\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productRating\": {\n                      \"reviewsColor\": \"#8C93AD\",\n                      \"starColorEmpty\": \"#ECEEF5\",\n                      \"starColorFilled\": \"#3C64F4\",\n                      \"visibility\": \"hide\"\n                    }\n                  },\n                  \"description\": \"\",\n                  \"name\": \"Product\",\n                  \"storefront_api_query_params\": {\n                    \"productId\": 80\n                  },\n                  \"type\": \"widget\"\n                }\n              ]\n            },\n            {\n              \"configuration\": {\n                \"dropzoneBackgroundColor\": \"rgba(0,0,0,0)\",\n                \"dropzoneBackgroundImageAlignment\": {\n                  \"horizontal\": \"center\",\n                  \"vertical\": \"middle\"\n                },\n                \"dropzoneBackgroundImageFit\": \"fill\",\n                \"dropzoneBackgroundImageOpacity\": 100,\n                \"dropzoneBackgroundImageUrl\": \"\",\n                \"dropzoneBackgroundType\": \"\",\n                \"dropzoneBorderColor\": \"#333333\",\n                \"dropzoneBorderStyle\": \"solid\",\n                \"dropzoneBorderThickness\": 0,\n                \"dropzoneHeight\": \"\",\n                \"dropzoneJustifyContent\": \"center\",\n                \"dropzoneMargin\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzonePadding\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzoneZIndex\": \"auto\"\n              },\n              \"widgets\": [\n                {\n                  \"configuration\": {\n                    \"brand\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"button\": {\n                      \"buttonActionType\": \"addToCart\",\n                      \"buttonColor\": \"rgba(68,68,68,1)\",\n                      \"buttonTextColor\": \"rgba(255,255,255,1)\",\n                      \"shape\": \"round\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"hide\"\n                    },\n                    \"price\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productCardContentAlignment\": {\n                      \"horizontal\": \"center\"\n                    },\n                    \"productId\": \"93\",\n                    \"productImage\": {\n                      \"imageFit\": \"fill\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productName\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productRating\": {\n                      \"reviewsColor\": \"#8C93AD\",\n                      \"starColorEmpty\": \"#ECEEF5\",\n                      \"starColorFilled\": \"#3C64F4\",\n                      \"visibility\": \"hide\"\n                    }\n                  },\n                  \"description\": \"\",\n                  \"name\": \"Product\",\n                  \"storefront_api_query_params\": {\n                    \"productId\": 93\n                  },\n                  \"type\": \"widget\"\n                }\n              ]\n            }\n          ],\n          \"name\": \"Layout\",\n          \"type\": \"layout\"\n        }\n      ]\n    }\n  ],\n  \"template_file\": \"pages/page\",\n  \"entity_id\": \"5\",\n  \"channel_id\": 1\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v3/content/page-widgets")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"regions\": [\n    {\n      \"name\": \"home_below_menu\",\n      \"children\": [\n        {\n          \"configuration\": {\n            \"backgroundColor\": \"#444444\",\n            \"backgroundType\": \"image\",\n            \"buttonColor\": \"#444444\",\n            \"buttonFont\": \"default\",\n            \"buttonFontFamily\": \"inherit\",\n            \"buttonStyle\": \"round\",\n            \"buttonText\": \"Shop now\",\n            \"buttonTextColor\": \"rgba(255,255,255,1)\",\n            \"buttonVisible\": \"show\",\n            \"containerHeight\": \"small\",\n            \"contentAlignment\": {\n              \"horizontal\": \"left\"\n            },\n            \"descriptionFontFamily\": \"inherit\",\n            \"descriptionFontSize\": {\n              \"type\": \"px\",\n              \"value\": 21\n            },\n            \"descriptionFontWeight\": \"400\",\n            \"descriptionStyle\": \"default\",\n            \"descriptionVisible\": \"show\",\n            \"imageAlignment\": {\n              \"horizontal\": \"center\",\n              \"vertical\": \"middle\"\n            },\n            \"imageFit\": \"fill\",\n            \"imageOpacity\": 100,\n            \"imageParallax\": \"off\",\n            \"imageUrl\": {\n              \"src\": \"https://images.unsplash.com/photo-1533038590840-1cde6e668a91?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=2000&q=100\",\n              \"type\": \"IMAGE_MANAGER\"\n            },\n            \"mobileButtonColor\": \"#444444\",\n            \"mobileButtonTextColor\": \"rgba(255,255,255,1)\",\n            \"mobileTextColor\": \"#444444\",\n            \"subtitle\": \"Add a description for this hero banner. This is a great place to highlight a promotion.\",\n            \"textColor\": \"#444444\",\n            \"title\": \"Hero Banner Title\",\n            \"titleFontFamily\": \"inherit\",\n            \"titleFontSize\": {\n              \"type\": \"px\",\n              \"value\": 36\n            },\n            \"titleFontWeight\": \"400\",\n            \"titleStyle\": \"default\",\n            \"titleVisible\": \"show\"\n          },\n          \"description\": \"\",\n          \"name\": \"Hero Banner\",\n          \"storefront_api_query_params\": {},\n          \"type\": \"widget\"\n        }\n      ]\n    },\n    {\n      \"name\": \"header_bottom\",\n      \"children\": [\n        {\n          \"configuration\": {\n            \"columnWeights\": [\n              \"33.333333%\",\n              \"33.333333%\",\n              \"33.333333%\"\n            ],\n            \"layoutBackgroundColor\": \"rgba(0,0,0,0)\",\n            \"layoutBackgroundImageAlignment\": {\n              \"horizontal\": \"center\",\n              \"vertical\": \"middle\"\n            },\n            \"layoutBackgroundImageFit\": \"fill\",\n            \"layoutBackgroundImageOpacity\": 100,\n            \"layoutBackgroundImageUrl\": \"\",\n            \"layoutBackgroundType\": \"\",\n            \"layoutBorderColor\": \"#333333\",\n            \"layoutBorderStyle\": \"solid\",\n            \"layoutBorderThickness\": 0,\n            \"layoutHeight\": \"\",\n            \"layoutMargin\": {\n              \"bottom\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"left\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"right\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"top\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              }\n            },\n            \"layoutPadding\": {\n              \"bottom\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"left\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"right\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              },\n              \"top\": {\n                \"type\": \"px\",\n                \"value\": \"0\"\n              }\n            },\n            \"layoutZIndex\": \"auto\",\n            \"name\": \"Layout\",\n            \"numberOfDropzones\": 3\n          },\n          \"dropzones\": [\n            {\n              \"configuration\": {\n                \"dropzoneBackgroundColor\": \"rgba(0,0,0,0)\",\n                \"dropzoneBackgroundImageAlignment\": {\n                  \"horizontal\": \"center\",\n                  \"vertical\": \"middle\"\n                },\n                \"dropzoneBackgroundImageFit\": \"fill\",\n                \"dropzoneBackgroundImageOpacity\": 100,\n                \"dropzoneBackgroundImageUrl\": \"\",\n                \"dropzoneBackgroundType\": \"\",\n                \"dropzoneBorderColor\": \"#333333\",\n                \"dropzoneBorderStyle\": \"solid\",\n                \"dropzoneBorderThickness\": 0,\n                \"dropzoneHeight\": \"\",\n                \"dropzoneJustifyContent\": \"center\",\n                \"dropzoneMargin\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzonePadding\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzoneZIndex\": \"auto\"\n              },\n              \"widgets\": [\n                {\n                  \"configuration\": {\n                    \"brand\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"button\": {\n                      \"buttonActionType\": \"addToCart\",\n                      \"buttonColor\": \"rgba(68,68,68,1)\",\n                      \"buttonTextColor\": \"rgba(255,255,255,1)\",\n                      \"shape\": \"round\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"hide\"\n                    },\n                    \"price\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productCardContentAlignment\": {\n                      \"horizontal\": \"center\"\n                    },\n                    \"productId\": \"77\",\n                    \"productImage\": {\n                      \"imageFit\": \"fill\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productName\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productRating\": {\n                      \"reviewsColor\": \"#8C93AD\",\n                      \"starColorEmpty\": \"#ECEEF5\",\n                      \"starColorFilled\": \"#3C64F4\",\n                      \"visibility\": \"hide\"\n                    }\n                  },\n                  \"description\": \"\",\n                  \"name\": \"Product\",\n                  \"storefront_api_query_params\": {\n                    \"productId\": 77\n                  },\n                  \"type\": \"widget\"\n                }\n              ]\n            },\n            {\n              \"configuration\": {\n                \"dropzoneBackgroundColor\": \"rgba(0,0,0,0)\",\n                \"dropzoneBackgroundImageAlignment\": {\n                  \"horizontal\": \"center\",\n                  \"vertical\": \"middle\"\n                },\n                \"dropzoneBackgroundImageFit\": \"fill\",\n                \"dropzoneBackgroundImageOpacity\": 100,\n                \"dropzoneBackgroundImageUrl\": \"\",\n                \"dropzoneBackgroundType\": \"\",\n                \"dropzoneBorderColor\": \"#333333\",\n                \"dropzoneBorderStyle\": \"solid\",\n                \"dropzoneBorderThickness\": 0,\n                \"dropzoneHeight\": \"\",\n                \"dropzoneJustifyContent\": \"center\",\n                \"dropzoneMargin\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzonePadding\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzoneZIndex\": \"auto\"\n              },\n              \"widgets\": [\n                {\n                  \"configuration\": {\n                    \"brand\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"button\": {\n                      \"buttonActionType\": \"addToCart\",\n                      \"buttonColor\": \"rgba(68,68,68,1)\",\n                      \"buttonTextColor\": \"rgba(255,255,255,1)\",\n                      \"shape\": \"round\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"hide\"\n                    },\n                    \"price\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productCardContentAlignment\": {\n                      \"horizontal\": \"center\"\n                    },\n                    \"productId\": \"80\",\n                    \"productImage\": {\n                      \"imageFit\": \"fill\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productName\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"productRating\": {\n                      \"reviewsColor\": \"#8C93AD\",\n                      \"starColorEmpty\": \"#ECEEF5\",\n                      \"starColorFilled\": \"#3C64F4\",\n                      \"visibility\": \"hide\"\n                    }\n                  },\n                  \"description\": \"\",\n                  \"name\": \"Product\",\n                  \"storefront_api_query_params\": {\n                    \"productId\": 80\n                  },\n                  \"type\": \"widget\"\n                }\n              ]\n            },\n            {\n              \"configuration\": {\n                \"dropzoneBackgroundColor\": \"rgba(0,0,0,0)\",\n                \"dropzoneBackgroundImageAlignment\": {\n                  \"horizontal\": \"center\",\n                  \"vertical\": \"middle\"\n                },\n                \"dropzoneBackgroundImageFit\": \"fill\",\n                \"dropzoneBackgroundImageOpacity\": 100,\n                \"dropzoneBackgroundImageUrl\": \"\",\n                \"dropzoneBackgroundType\": \"\",\n                \"dropzoneBorderColor\": \"#333333\",\n                \"dropzoneBorderStyle\": \"solid\",\n                \"dropzoneBorderThickness\": 0,\n                \"dropzoneHeight\": \"\",\n                \"dropzoneJustifyContent\": \"center\",\n                \"dropzoneMargin\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzonePadding\": {\n                  \"bottom\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  },\n                  \"left\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"right\": {\n                    \"type\": \"px\",\n                    \"value\": \"10.5\"\n                  },\n                  \"top\": {\n                    \"type\": \"px\",\n                    \"value\": \"0\"\n                  }\n                },\n                \"dropzoneZIndex\": \"auto\"\n              },\n              \"widgets\": [\n                {\n                  \"configuration\": {\n                    \"brand\": {\n                      \"color\": \"#444444\",\n                      \"textStyle\": \"default\",\n                      \"visibility\": \"show\"\n                    },\n                    \"button\": {\n                      \"buttonActionType\": \"addToCart\",\n                      \"buttonColor\": \"rgba(68,68,68,1)\",\n                      \"buttonTextColor\": \"rgba(255,255,255,1)\",\n            
[...]
